cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IHL7BatchFile

- All Known Implementing Classes:
    HL7BatchFile

      public interface IHL7BatchFile

  The IHL7BatchFile interface should be implemented by HL7 Batch file class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FHS` | `getBatchFileHeader()` Gets the batch file header.
    `FTS` | `getBatchFileTrailer()` Gets the batch file trailer.
    `ISingleCollection<IHL7Batch>` | `getHL7BatchCollection()` Gets the HL7Batch collection.
    `void` | `setBatchFileHeader(FHS objBatchFileHeader)` Sets the batch file header.
    `void` | `setBatchFileTrailer(FTS objBatchFileTrailer)` Sets the batch file trailer.
    `void` | `setHL7BatchCollection(ISingleCollection<IHL7Batch> objHL7BatchCollection)` Sets the HL7Batch collection.
    `boolean` | `validate()` Validates HL7 Batch objects.

- - ### Method Detail

    - #### getBatchFileHeader

          FHS getBatchFileHeader()

      Gets the batch file header.
      Returns:
        the batch file header

    - #### setBatchFileHeader

          void setBatchFileHeader(FHS objBatchFileHeader)

      Sets the batch file header.
      Parameters:
        `objBatchFileHeader` - the new batch file header

    - #### getBatchFileTrailer

          FTS getBatchFileTrailer()

      Gets the batch file trailer.
      Returns:
        the batch file trailer

    - #### setBatchFileTrailer

          void setBatchFileTrailer(FTS objBatchFileTrailer)

      Sets the batch file trailer.
      Parameters:
        `objBatchFileTrailer` - the new batch file trailer

    - #### getHL7BatchCollection

          ISingleCollection<IHL7Batch> getHL7BatchCollection()

      Gets the HL7Batch collection.
      Returns:
        the HL7Batch collection

    - #### setHL7BatchCollection

          void setHL7BatchCollection(ISingleCollection<IHL7Batch> objHL7BatchCollection)

      Sets the HL7Batch collection.
      Parameters:
        `objHL7BatchCollection` - the new HL7Batch collection

    - #### validate

          boolean validate()
                           throws BatchException

      Validates HL7 Batch objects.
      Returns:
        true - if successful false - otherwise
      Throws:
        `BatchException` - Thrown when Batch validation fails.